namespace :emails do

  task :test_progression_email => :environment do |task, args|
    user = User.find_by_email('jonathan@jamkazam.com')
    EmailBatchProgression::SUBTYPES.each do |stype|
      ebatch = EmailBatchProgression.create
      ebatch.update_attribute(:sub_type, stype)
      ebatch.email_batch_sets << (bset = ebatch.make_set(user, 0))
      ProgressMailer.send_reminder(bset).deliver
    end 
  end

end
